./databases/postgresql-previous [PostgreSQL RDBMS (previous version, for pg_upgrade)]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 12.8, Package name: postgresql-previous-12.8
Maintained by: Pierre-Emmanuel Andre
Master sites:
Description
PostgreSQL RDBMS server, the previous version

This is the previous version of PostgreSQL, necessary to allow for
pg_upgrade to work in the currently supported PostgreSQL version.


Filesize: 26648.836 KB
Version History (View Complete History)
  • (2021-09-10) Updated to version: postgresql-previous-12.8
  • (2021-06-07) Updated to version: postgresql-previous-12.7
  • (2021-02-12) Updated to version: postgresql-previous-12.6
  • (2021-02-10) Updated to version: postgresql-previous-12.5
  • (2020-02-06) Updated to version: postgresql-previous-11.6
  • (2019-02-19) Updated to version: postgresql-previous-10.6
  • (2017-11-30) Updated to version: postgresql-previous-9.6.6
  • (2016-12-19) Package added to openports.se, version postgresql-previous-9.5.5 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2021-09-10 08:20:12 by Stuart Henderson | Files touched by this commit (1)
Log message:
update postgresql-previous to 12.8, from Mark Patruck, ok pea@
   2021-09-10 08:19:36 by Stuart Henderson | Files touched by this commit (2)
Log message:
update postgresql-previous to 12.8, from Mark Patruck, ok pea@
   2021-07-12 01:44:06 by Jeremie Courreges-Anglas | Files touched by this commit (1)
Log message:
Missing spinlock workaround for riscv64 (synced from databases/postgresql)
   2021-06-07 09:15:25 by Jeremy Evans | Files touched by this commit (2)
Log message:
Update to PostgreSQL 12.7
Fixes CVE-2021-32029, CVE-2021-32028, CVE-2021-32027.
From Mark Patruck <mark@wrapped.cx>
MAINTAINER (pea@) timeout
   2021-02-23 12:39:53 by Stuart Henderson | Files touched by this commit (743)
Log message:
Reverse the polarity of MODPY_VERSION; default is now 3.x,
if a port needs 2.x then set MODPY_VERSION=${MODPY_DEFAULT_VERSION_2}.
This commit doesn't change any versions currently used; it may be that
some ports have MODPY_DEFAULT_VERSION_2 but don't require it, those
should be cleaned up in the course of updating ports where possible.
Python module ports providing py3-* packages should still use
FLAVOR=python3 so that we don't have a mixture of dependencies some
using ${MODPY_FLAVOR} and others not.
   2021-02-12 05:39:07 by Stuart Henderson | Files touched by this commit (3)
Log message:
postgresql-previous: update to 12.6, and rm files installed under
share/doc/postgresql that conflict with databases/postgresql,-docs.
ok pea@
   2021-02-09 13:04:10 by Jeremy Evans | Files touched by this commit (5)
Log message:
Update to PostgreSQL 12.5, following databases/postgresql update to
PostgreSQL 13.
OK sthen@, danj@, pea@
   2020-02-05 17:36:28 by Jeremy Evans | Files touched by this commit (3)
Log message:
Update to PostgreSQL 11.6
   2019-07-12 14:44:13 by Stuart Henderson | Files touched by this commit (877)
Log message:
replace simple PERMIT_PACKAGE_CDROM=Yes with PERMIT_PACKAGE=Yes
   2019-05-17 10:19:41 by Stuart Henderson | Files touched by this commit (86)
Log message:
update curses WANTLIB entries following the change in base libraries to use soname
   2019-02-21 06:08:25 by Stuart Henderson | Files touched by this commit (1)
Log message:
Copy chunk from old ../postgresql: gcc is needed for postgresql 10.6+ on i386.
   2019-02-18 22:09:58 by Jeremy Evans | Files touched by this commit (12)
Log message:
Update to PostgreSQL 10.6
OK ajacoutot@
   2018-09-06 13:10:53 by Theo Buehler | Files touched by this commit (3)
Log message:
Remove LIBRESSL_VERSION_NUMBER patches as in PostgreSQL 10.
Reminded by sthen
   2018-02-18 10:49:08 by Stuart Henderson | Files touched by this commit (4)
Log message:
we have BIO_meth_new (which pgsql checks for) but not some of the other
functions that it also needs, neuter for now to unbreak. from jsing
   2018-02-18 10:36:01 by Stuart Henderson | Files touched by this commit (6)
Log message:
regen patches, no other change
   2018-01-20 07:03:39 by Jonathan Gray | Files touched by this commit (22)
Log message:
Now that arm has switched to clang the base compiler has atomic builtins
and accepts -mfpu=neon.
ok jca@ sthen@
   2017-06-13 06:31:44 by Ingo Schwarze | Files touched by this commit (1)
Log message:
This port does not actually install any manual pages, so drop USE_GROFF.
No package change except timestamps in +CONTENTS and *.a files, so no bump.
   2016-12-28 07:10:36 by Vadim Zhukov | Files touched by this commit (1)
Log message:
Apply the same treatment for databases/postgresql-previous as it was done for
datbases/postgresql, to allow the former build on arm.
okay pea@